<?php
include('dbconect.php');
require_once('vendor/php-excel-reader/excel_reader2.php');
require_once('vendor/SpreadsheetReader.php');

if (isset($_POST["import"])) {
   
    $allowedFileType = ['application/vnd.ms-excel', 'text/xls', 'text/xlsx', 'application/vnd.openxmlformats-officedocument.spreadsheetml.sheet'];

    if (in_array($_FILES["file"]["type"], $allowedFileType)) {

        $targetPath = 'subidas/' . $_FILES['file']['name'];
        move_uploaded_file($_FILES['file']['tmp_name'], $targetPath);

        $Reader = new SpreadsheetReader($targetPath);

        $sheetCount = count($Reader->sheets());
        for ($i = 0; $i < $sheetCount; $i++) {

            $Reader->ChangeSheet($i);

            foreach ($Reader as $Row) {


                $nocontrato = "";
                if (isset($Row[0])) {
                    $nocontrato = mysqli_real_escape_string($con, $Row[0]);
                }
                $noorden = "";
                if (isset($Row[1])) {
                    $noorden = mysqli_real_escape_string($con, $Row[1]);
                }
                $noalta = "";
                if (isset($Row[2])) {
                    $noalta = mysqli_real_escape_string($con, $Row[2]);
                }
                $fechaalta = "";
                if (isset($Row[3])) {
                    $fechaalta = mysqli_real_escape_string($con, $Row[3]);
                }
                $clave = "";
                if (isset($Row[4])) {
                    $clave = mysqli_real_escape_string($con, $Row[4]);
                }
                $cantrecibida = "";
                if (isset($Row[5])) {
                    $cantrecibida = mysqli_real_escape_string($con, $Row[5]);
                }
                $importe = "";
                if (isset($Row[6])) {
                    $importe = mysqli_real_escape_string($con, $Row[6]);
                }
                $fpp = "";
                if (isset($Row[7])) {
                    $fpp = mysqli_real_escape_string($con, $Row[7]);
                }
                $clasptal = "";
                if (isset($Row[8])) {
                    $clasptal = mysqli_real_escape_string($con, $Row[8]);
                }
                $descunidad = "";
                if (isset($Row[9])) {
                    $descunidad = mysqli_real_escape_string($con, $Row[9]);
                }
                $ptaldist = "";
                if (isset($Row[10])) {
                    $ptaldist = mysqli_real_escape_string($con, $Row[10]);
                }
                $descdist = "";
                if (isset($Row[11])) {
                    $descdist = mysqli_real_escape_string($con, $Row[11]);
                }
                $totalitems = "";
                if (isset($Row[12])) {
                    $totalitems = mysqli_real_escape_string($con, $Row[12]);
                }
                $resguardo = "";
                if (isset($Row[13])) {
                    $resguardo = mysqli_real_escape_string($con, $Row[13]);
                }

                if (!empty($nocontrato)) {

                    $body = '<table border="0" cellpadding="0" cellspacing="0" style="border-collapse:collapse; border-spacing:0px; width:1533.0pt">
    <tbody>
        <tr>
            <td style="background-color:#ccffff; border-color:black; border-style:solid; border-width:1pt; height:36pt; width:197pt"><strong><span style="font-size:9.0pt">NoCONTRATO</span></strong></td>
            <td style="background-color:#ccffff; border-bottom:1pt solid black; border-left:1pt solid; border-right:1pt solid black; border-top:1pt solid black; height:36pt; width:148pt"><strong><span style="font-size:9.0pt">no Orden </span></strong></td>
            <td style="background-color:#ccffff; border-bottom:1pt solid black; border-left:1pt solid; border-right:1pt solid black; border-top:1pt solid black; height:36pt; width:107pt"><strong><span style="font-size:9.0pt">no Alta</span></strong></td>
            <td style="background-color:#ccffff; border-bottom:1pt solid black; border-left:1pt solid; border-right:1pt solid black; border-top:1pt solid black; height:36pt; width:80pt"><strong><span style="font-size:9.0pt">fecha Alta Trunc </span></strong></td>
            <td style="background-color:#ccffff; border-bottom:1pt solid black; border-left:1pt solid; border-right:1pt solid black; border-top:1pt solid black; height:36pt; width:63pt"><strong><span style="font-size:9.0pt">clave</span></strong></td>
            <td style="background-color:#ccffff; border-bottom:1pt solid black; border-left:1pt solid; border-right:1pt solid black; border-top:1pt solid black; height:36pt; width:96pt"><strong><span style="font-size:9.0pt">cant Recibida</span></strong></td>
            <td style="background-color:#ccffff; border-bottom:1pt solid black; border-left:1pt solid; border-right:1pt solid black; border-top:1pt solid black; height:36pt; width:86pt"><strong><span style="font-size:9.0pt">importe</span></strong></td>
            <td style="background-color:#ccffff; border-bottom:1pt solid black; border-left:1pt solid; border-right:1pt solid black; border-top:1pt solid black; height:36pt; width:388pt"><strong><span style="font-size:9.0pt">fpp</span></strong></td>
            <td style="background-color:#ccffff; border-bottom:1pt solid black; border-left:1pt solid; border-right:1pt solid black; border-top:1pt solid black; height:36pt; width:96pt"><strong><span style="font-size:9.0pt">clas Ptal Recep</span></strong></td>
            <td style="background-color:#ccffff; border-bottom:1pt solid black; border-left:1pt solid; border-right:1pt solid black; border-top:1pt solid black; height:36pt; width:96pt"><strong><span style="font-size:9.0pt">desc Unidad</span></strong></td>
            <td style="background-color:#ccffff; border-bottom:1pt solid black; border-left:1pt solid; border-right:1pt solid black; border-top:1pt solid black; height:36pt; width:96pt"><strong>clas Ptal Dist</strong></td>
            <td style="background-color:#ccffff; border-bottom:1pt solid black; border-left:1pt solid; border-right:1pt solid black; border-top:1pt solid black; height:36pt; width:96pt"><strong>desc Dist</strong></td>
            <td style="background-color:#ccffff; border-bottom:1pt solid black; border-left:1pt solid; border-right:1pt solid black; border-top:1pt solid black; height:36pt; width:96pt"><strong>total Items</strong></td>
            <td style="background-color:#ccffff; border-bottom:1pt solid black; border-left:1pt solid; border-right:1pt solid black; border-top:1pt solid black; height:36pt; width:96pt"><strong>resguardo</strong></td>
        </tr>
        <tr>
            <td style="border-color:black; border-style:solid; border-top:none; border-width:1.0pt; height:12.0pt; width:197.0pt"><span style="font-size:9.0pt">'. $nocontrato .'</span></td>
            <td style="border-bottom:solid windowtext 1.0pt; border-left:none; border-right:solid windowtext 1.0pt; border-top:none; height:12.0pt; width:148.0pt"><span style="font-size:9.0pt">' . $noorden . '</span></td>
            <td style="border-bottom:solid windowtext 1.0pt; border-left:none; border-right:solid windowtext 1.0pt; border-top:none; height:12.0pt; width:107.0pt"><span style="font-size:9.0pt">' . $noalta . '</span></td>
            <td style="border-bottom:solid windowtext 1.0pt; border-left:none; border-right:solid windowtext 1.0pt; border-top:none; height:12.0pt; width:80.0pt"><strong><span style="font-size:9.0pt">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;' . $fechaalta . ' </span></strong></td>
            <td style="border-bottom:solid windowtext 1.0pt; border-left:none; border-right:solid windowtext 1.0pt; border-top:none; height:12.0pt; white-space:nowrap; width:63.0pt"><span style="font-size:9.0pt">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;' . $clave . ' </span></td>
            <td style="border-bottom:solid windowtext 1.0pt; border-left:none; border-right:solid windowtext 1.0pt; border-top:none; height:12.0pt; width:96.0pt"><strong><span style="font-size:9.0pt">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&#39;' . $cantrecibida . '&#39; </span></strong></td>
            <td style="border-bottom:solid windowtext 1.0pt; border-left:none; border-right:solid windowtext 1.0pt; border-top:none; height:12.0pt; width:86.0pt"><span style="font-size:9.0pt">' . $importe . '</span></td>
            <td style="border-bottom:solid windowtext 1.0pt; border-left:none; border-right:solid windowtext 1.0pt; border-top:none; height:12.0pt; width:115.0pt"><span style="font-size:9.0pt">' . $fpp . '</span></td>
            <td style="border-bottom:solid windowtext 1.0pt; border-left:none; border-right:solid windowtext 1.0pt; border-top:none; height:12.0pt; width:388.0pt"><span style="font-size:9.0pt">' . $clasptal . '</span></td>
            <td style="border-bottom:solid windowtext 1.0pt; border-left:none; border-right:solid windowtext 1.0pt; border-top:none; height:12.0pt; width:96.0pt"><span style="font-size:9.0pt">' . $descunidad . '</span></td>
            <td style="border-bottom:solid windowtext 1.0pt; border-left:none; border-right:solid windowtext 1.0pt; border-top:none; height:12.0pt; width:96.0pt">' . $ptaldist . '</td>
            <td style="border-bottom:solid windowtext 1.0pt; border-left:none; border-right:solid windowtext 1.0pt; border-top:none; height:12.0pt; width:96.0pt">' . $descdist . '</td>
            <td style="border-bottom:solid windowtext 1.0pt; border-left:none; border-right:solid windowtext 1.0pt; border-top:none; height:12.0pt; width:96.0pt">' . $totalitems . '</td>
            <td style="border-bottom:solid windowtext 1.0pt; border-left:none; border-right:solid windowtext 1.0pt; border-top:none; height:12.0pt; width:96.0pt">' . $resguardo . '</td>
        </tr>
    </tbody>
</table>';
//echo "<h5><br><br><br><br><br>".$body."</h5>";
                    $sql_body="SELECT ost_thread.object_id AS IdTicket, ost_thread.id AS IdThread, ost_thread_entry.body FROM ost_thread_entry, ost_thread WHERE ost_thread.id =ost_thread_entry.thread_id AND ost_thread_entry.body LIKE '%$noorden%';";
                    //echo "<br><h3>".$sql_body."</h3><br>";
                    $res_body = mysqli_query($con, $sql_body);
                    while ($row_body = mysqli_fetch_array($res_body)) {
                        $id_body=$row_body['IdThread'];
                        $query = "INSERT INTO ost_thread_entry (id, pid, thread_id, staff_id, user_id, type, flags, poster, editor, editor_type, source, title, body, format, ip_address, extra, recipients, created, updated) VALUES (NULL, '0', '$id_body', '1', '0', 'R', '64', 'Julio Barranco', NULL, NULL, '', 'HiGeek!', '$body', 'html', '127.0.0.1', NULL, NULL, '2024-03-26 23:34:25', '2024-03-26 23:34:26');";
                        echo "<br>".$query."<br>";
                        //$resultados = mysqli_query($con, $query);
                    }
                    //$query = "INSERT INTO ost_thread_entry (id, pid, thread_id, staff_id, user_id, type, flags, poster, editor, editor_type, source, title, body, format, ip_address, extra, recipients, created, updated) VALUES (NULL, '0', '14', '1', '0', 'R', '64', 'Julio Barranco', NULL, NULL, '', 'HiGeek!', '$body', 'html', '127.0.0.1', NULL, NULL, '2024-03-26 23:34:25', '2024-03-26 23:34:26');";

                    //echo $query;
                    /*  echo "2".$Row[2]."<br>";
                    echo "4".$Row[4]."<br>";
                echo $query;*/

                    //$query = "UPDATE llx_societe SET llx_societe.name_alias = CONCAT(llx_societe.name_alias, ' (', (SELECT codigoalterno FROM llx_societe_extrafields WHERE fk_object = llx_societe.rowid), ')')";

                    // $query = "UPDATE llx_societe SET llx_societe.name_alias = CONCAT(llx_societe.name_alias, ' (', (SELECT codigoalterno FROM llx_societe_extrafields WHERE fk_object = '".$id."'), ')') WHERE llx_societe.rowid = '".$id."'"; 

                    //$resultados = mysqli_query($con, $query);
                    /*
                    if (!empty($resultados)) {
                        $type = "success";
                        $message = "Excel importado correctamente";
                    } else {
                        $type = "error";
                        $message = "Hubo un problema al importar registros";
                    } */
                }
            }
        }
    } else {
        $type = "error";
        $message = "El archivo enviado es invalido. Por favor vuelva a intentarlo";
    }
}
?>
<!doctype html>
<html lang="es">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="description" content="">
    <meta name="author" content="">
    <link rel="icon" href="favicon.ico">
    <title>Importar archivo de Excel a MySQL usando PHP - BaulPHP</title>

    <!-- Bootstrap core CSS -->
    <link href="dist/css/bootstrap.min.css" rel="stylesheet">
    <!-- Custom styles for this template -->
    <link href="assets/sticky-footer-navbar.css" rel="stylesheet">
    <link href="assets/style.css" rel="stylesheet">

</head>

<body>
    <header>
        <!-- Fixed navbar -->
        <nav class="navbar navbar-expand-md navbar-dark fixed-top bg-dark"> <a class="navbar-brand" href="#">BaulPHP</a>
            <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarCollapse" aria-controls="navbarCollapse" aria-expanded="false" aria-label="Toggle navigation"> <span class="navbar-toggler-icon"></span> </button>
            <div class="collapse navbar-collapse" id="navbarCollapse">
                <ul class="navbar-nav mr-auto">
                    <li class="nav-item active"> <a class="nav-link" href="index.php">Inicio <span class="sr-only">(current)</span></a> </li>
                </ul>
                <form class="form-inline mt-2 mt-md-0">
                    <input class="form-control mr-sm-2" type="text" placeholder="Buscar" aria-label="Search">
                    <button class="btn btn-outline-success my-2 my-sm-0" type="submit">Busqueda</button>
                </form>
            </div>
        </nav>
    </header>

    <!-- Begin page content -->

    <div class="container">
        <h3 class="mt-5">Importar archivo de Excel a MySQL usando PHP</h3>
        <hr>
        <div class="row">
            <div class="col-12 col-md-12">
                <!-- Contenido -->

                <div class="outer-container">
                    <form action="" method="post" name="frmExcelImport" id="frmExcelImport" enctype="multipart/form-data">
                        <div>
                            <label>Elija Archivo Excel</label> <input type="file" name="file" id="file" accept=".xls,.xlsx">
                            <button type="submit" id="submit" name="import" class="btn-submit">Importar Registros</button>

                        </div>

                    </form>

                </div>
                <div id="response" class="<?php if (!empty($type)) {
                                                echo $type . " display-block";
                                            } ?>"><?php if (!empty($message)) {
                                                                                                                echo $message;
                                                                                                            } ?></div>


                <?php
                //$sqlSelect = "SELECT * FROM llx_societe_extrafields";
                //$sqlSelect = "SELECT llx_societe.rowid as idCliente, llx_societe_extrafields.codigoalterno, llx_societe.nom, llx_user.rowid AS idUsuario, llx_user.login FROM llx_societe LEFT JOIN llx_societe_extrafields ON llx_societe.rowid = llx_societe_extrafields.fk_object LEFT JOIN llx_societe_commerciaux ON llx_societe.rowid = llx_societe_commerciaux.fk_soc LEFT JOIN llx_user ON llx_societe_commerciaux.fk_user = llx_user.rowid;";

                //$sqlSelect = "SELECT llx_societe.nom, llx_societe_extrafields.clasificacion1 AS ruta, llx_societe_extrafields.codigoalterno FROM llx_societe LEFT JOIN llx_societe_extrafields ON llx_societe.rowid = llx_societe_extrafields.fk_object LIMIT 50;"; 
                $sqlSelect = "SELECT * FROM `ost_thread_entry` ORDER BY `ost_thread_entry`.`id` DESC limit 20";

                $result = mysqli_query($con, $sqlSelect);

                if (mysqli_num_rows($result) > 0) {
                ?>

                    <table class='tutorial-table'>
                        <thead>
                            <tr>
                                <!--<th>ID</th>-->

                                <!--<th>Celular</th>
                <th>Descripcion</th>
            <th>id Cliente</th>
                <th>Codigo Alterno</th>
                <th>Cliente</th>
                <th>id usuario</th>
                <th>Usuario</th>-->

                                <th>thread_id</th>
                                <th>title</th>
                                <th>body</th>

                            </tr>
                        </thead>
                        <?php
                        while ($row = mysqli_fetch_array($result)) {
                        ?>
                            <tbody>
                                <tr>


                                    <td><?php echo $row['thread_id']; ?></td>
                                    <td><?php echo $row['title']; ?></td>
                                    <td><?php echo $row['body']; ?></td>

                                </tr>
                            <?php
                        }
                            ?>
                            </tbody>
                    </table>
                <?php
                }
                ?>
                <!-- Fin Contenido -->
            </div>
        </div>
        <!-- Fin row -->


    </div>
    <!-- Fin container -->
    <footer class="footer">
        <div class="container"> <span class="text-muted">
                <p>Códigos <a href="https://www.baulphp.com/importar-archivo-de-excel-a-mysql-usando-php" target="_blank">BaulPHP</a></p>
            </span> </div>
    </footer>
    <script src="assets/jquery-1.12.4-jquery.min.js"></script>

    <!-- Bootstrap core JavaScript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->

    <script src="dist/js/bootstrap.min.js"></script>
</body>

</html>