<?php
include('dbconect.php');
require_once('vendor/php-excel-reader/excel_reader2.php');
require_once('vendor/SpreadsheetReader.php');

if (isset($_POST["import"]))
{
    
$allowedFileType = ['application/vnd.ms-excel','text/xls','text/xlsx','application/vnd.openxmlformats-officedocument.spreadsheetml.sheet'];
  
  if(in_array($_FILES["file"]["type"],$allowedFileType)){

        $targetPath = 'subidas/'.$_FILES['file']['name'];
        move_uploaded_file($_FILES['file']['tmp_name'], $targetPath);
        
        $Reader = new SpreadsheetReader($targetPath);
        
        $sheetCount = count($Reader->sheets());
        for($i=0;$i<$sheetCount;$i++)
        {
            
            $Reader->ChangeSheet($i);
            
            foreach ($Reader as $Row)
            {
          
                //$nombres = "";
                //$id = "";
                //$codigoalterno = "";
                //$idcliente = "";
                $id= "";
                if(isset($Row[0])) {
                    $id = mysqli_real_escape_string($con,$Row[0]);
                }
                $fk_unit= "";
                if(isset($Row[1])) {
                    $fk_unit = mysqli_real_escape_string($con,$Row[1]);
                }
               $linea= "";
                if(isset($Row[1])) {
                    $linea = mysqli_real_escape_string($con,$Row[2]);
                }
               
                if (!empty($id)) {
                    
                    $query = "UPDATE llx_product SET fk_unit='$fk_unit' WHERE rowid=$id;";
                    echo $query;
                    $resultados = mysqli_query($con, $query);


                    $query = "UPDATE llx_product_extrafields SET llx_product_extrafields.linea='$linea' WHERE llx_product_extrafields.fk_object=$id;";
                    $resultados = mysqli_query($con, $query);

                   
                
                    if (! empty($resultados)) {
                        $type = "success";
                        $message = "Excel importado correctamente";
                    } else {
                        $type = "error";
                        $message = "Hubo un problema al importar registros";
                    }
                }
             }
        
         }
  }
  else
  { 
        $type = "error";
        $message = "El archivo enviado es invalido. Por favor vuelva a intentarlo";
  }
}
?>
<!doctype html>
<html lang="es">
<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
<meta name="description" content="">
<meta name="author" content="">
<link rel="icon" href="favicon.ico">
<title>Importar archivo de Excel a MySQL usando PHP - BaulPHP</title>

<!-- Bootstrap core CSS -->
<link href="dist/css/bootstrap.min.css" rel="stylesheet">
<!-- Custom styles for this template -->
<link href="assets/sticky-footer-navbar.css" rel="stylesheet">
<link href="assets/style.css" rel="stylesheet">

</head>

<body>
<header> 
  <!-- Fixed navbar -->
  <nav class="navbar navbar-expand-md navbar-dark fixed-top bg-dark"> <a class="navbar-brand" href="#">BaulPHP</a>
    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarCollapse" aria-controls="navbarCollapse" aria-expanded="false" aria-label="Toggle navigation"> <span class="navbar-toggler-icon"></span> </button>
    <div class="collapse navbar-collapse" id="navbarCollapse">
      <ul class="navbar-nav mr-auto">
        <li class="nav-item active"> <a class="nav-link" href="index.php">Inicio <span class="sr-only">(current)</span></a> </li>
      </ul>
      <form class="form-inline mt-2 mt-md-0">
        <input class="form-control mr-sm-2" type="text" placeholder="Buscar" aria-label="Search">
        <button class="btn btn-outline-success my-2 my-sm-0" type="submit">Busqueda</button>
      </form>
    </div>
  </nav>
</header>

<!-- Begin page content -->

<div class="container">
  <h3 class="mt-5">Importar archivo de Excel a MySQL usando PHP</h3>
  <hr>
  <div class="row">
    <div class="col-12 col-md-12"> 
      <!-- Contenido -->
    
    <div class="outer-container">
        <form action="" method="post"
            name="frmExcelImport" id="frmExcelImport" enctype="multipart/form-data">
            <div>
                <label>Elija Archivo Excel</label> <input type="file" name="file"
                    id="file" accept=".xls,.xlsx">
                <button type="submit" id="submit" name="import"
                    class="btn-submit">Importar Registros</button>
        
            </div>
        
        </form>
        
    </div>
    <div id="response" class="<?php if(!empty($type)) { echo $type . " display-block"; } ?>"><?php if(!empty($message)) { echo $message; } ?></div>
    
         
<?php
    //$sqlSelect = "SELECT * FROM llx_societe_extrafields";
    //$sqlSelect = "SELECT llx_societe.rowid as idCliente, llx_societe_extrafields.codigoalterno, llx_societe.nom, llx_user.rowid AS idUsuario, llx_user.login FROM llx_societe LEFT JOIN llx_societe_extrafields ON llx_societe.rowid = llx_societe_extrafields.fk_object LEFT JOIN llx_societe_commerciaux ON llx_societe.rowid = llx_societe_commerciaux.fk_soc LEFT JOIN llx_user ON llx_societe_commerciaux.fk_user = llx_user.rowid;";

    //$sqlSelect = "SELECT llx_societe.nom, llx_societe_extrafields.clasificacion1 AS ruta, llx_societe_extrafields.codigoalterno FROM llx_societe LEFT JOIN llx_societe_extrafields ON llx_societe.rowid = llx_societe_extrafields.fk_object LIMIT 50;"; 
    $sqlSelect = "SELECT llx_product.ref, llx_product.label, llx_product.fk_unit, llx_product_extrafields.linea FROM llx_product INNER JOIN llx_product_extrafields ON llx_product.rowid = llx_product_extrafields.fk_object;"; 

    $result = mysqli_query($con, $sqlSelect);

if (mysqli_num_rows($result) > 0)
{
?>
        
    <table class='tutorial-table'>
        <thead>
            <tr>
             
                <th>ref</th>
                <th>label</th>
                <th>fk_unit</th>
                <th>linea</th>
              
            </tr>
        </thead>
<?php
    while ($row = mysqli_fetch_array($result)) {
?>                  
        <tbody>
        <tr>
           
           
            <td><?php  echo $row['ref']; ?></td>
            <td><?php  echo $row['label']; ?></td>
            <td><?php  echo $row['fk_unit']; ?></td>
            <td><?php  echo $row['linea']; ?></td>
        </tr>
<?php
    }
?>
        </tbody>
    </table>
<?php 
} 
?>
      <!-- Fin Contenido --> 
    </div>
  </div>
  <!-- Fin row --> 

  
</div>
<!-- Fin container -->
<footer class="footer">
  <div class="container"> <span class="text-muted">
    <p>Códigos <a href="https://www.baulphp.com/importar-archivo-de-excel-a-mysql-usando-php" target="_blank">BaulPHP</a></p>
    </span> </div>
</footer>
<script src="assets/jquery-1.12.4-jquery.min.js"></script> 

<!-- Bootstrap core JavaScript
    ================================================== --> 
<!-- Placed at the end of the document so the pages load faster --> 

<script src="dist/js/bootstrap.min.js"></script>
</body>
</html>